/***************************************************************************
 * This file is part of the project AqFoxExt.                              *
 * AqFoxExt (c) by 2011 Martin Preuss, all rights reserved.                *
 *                                                                         *
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FXXTOOLTIP_HPP
#define FXXTOOLTIP_HPP


#include <fx.h>

#include <aqfoxext/aqfoxext.h>

class FOX16_HtmlCtx;


class AQFOXEXT_API FXXToolTip: public FXToolTip {
  FXDECLARE(FXXToolTip)
protected:
  bool m_isHtml;
  FOX16_HtmlCtx *m_htmlCtx;
  bool m_haveTextDims;
  FXint m_textWidth;
  FXint m_textHeight;

  FXXToolTip();
  void calcTextDims();
  void updateHtml();

public:
  FXXToolTip(FXApp* a,FXuint opts=TOOLTIP_NORMAL,FXint x=0,FXint y=0,FXint w=0,FXint h=0);
  ~FXXToolTip();

  virtual FXint getDefaultWidth();
  virtual FXint getDefaultHeight();

  void layout();

  long onPaint(FXObject*, FXSelector, void*);
  long onCmdSetStringValue(FXObject*, FXSelector, void*);

};




#endif
